## org.eclipse.datatools.modelbase.sql.datatypes.impl
Class ArrayDataTypeImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.datatypes.impl.DataTypeImpl
                  org.eclipse.datatools.modelbase.sql.datatypes.impl.SQLDataTypeImpl
                      org.eclipse.datatools.modelbase.sql.datatypes.impl.ConstructedDataTypeImpl
                          org.eclipse.datatools.modelbase.sql.datatypes.impl.CollectionDataTypeImpl
                              org.eclipse.datatools.modelbase.sql.datatypes.impl.ArrayDataTypeImpl

All Implemented Interfaces:
  ArrayDataType, CollectionDataType, ConstructedDataType, DataType, SQLDataType, SQLObject

public abstract class ArrayDataTypeImpl
extends CollectionDataTypeImpl
implements ArrayDataType

An implementation of the model object 'Array Data Type'.

The following features are implemented:

- `Max Cardinality`

See Also:
  Serialized Form

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`int` `getMaxCardinality()`
`void` `setMaxCardinality(int newMaxCardinality)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.impl.CollectionDataTypeImpl
`getElement`

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.impl.DataTypeImpl
`setContainer`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, eInverseAdd, eInverseRemove, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.CollectionDataType
`getElement`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getMaxCardinality

    public int getMaxCardinality()

  Specified by:
    `getMaxCardinality` in interface `ArrayDataType`
  Returns:
    the value of the 'Max Cardinality' attribute.
  See Also:
    `ArrayDataType.setMaxCardinality(int)`, `SQLDataTypesPackage.getArrayDataType_MaxCardinality()`

### setMaxCardinality

    public void setMaxCardinality(int newMaxCardinality)

  Specified by:
    `setMaxCardinality` in interface `ArrayDataType`
  Parameters:
    `newMaxCardinality` - the new value of the 'Max Cardinality' attribute.
  See Also:
    `ArrayDataType.getMaxCardinality()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `CollectionDataTypeImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `CollectionDataTypeImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `CollectionDataTypeImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `CollectionDataTypeImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SQLObjectImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.